Post Datastore Query
Post a datastore query
Domain ID
{
"name": "One among: VSAN_REMOTE_DATASTORES, CLUSTER_ELIGIBLE_PRIMARY_DATASTORES",
"arguments": {
"arguments": "string"
},
"description": "string"
}
Name of the criterion for querying datastores
Arguments required for a particular criterion
Description of the criterion
Ok
{
"queryInfo": {
"status": "string",
"queryId": "string",
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"failure": false,
"completed": false,
"processing": false
},
"result": {
"elements": [
{
"id": "string",
"datastoreId": "string",
"name": "string",
"url": "string",
"targetTransportType": "One among: FC, NFS, ISCSI, VVOL, UNKNOWN",
"vcInstanceUuid": "string",
"vcDatacenterName": "string",
"datastoreType": "string",
"totalCapacityGB": "number",
"freeCapacityGB": "number",
"vmCount": 0,
"tags": [
{
"id": "string",
"name": "string",
"categoryId": "string",
"categoryName": "string"
}
]
}
],
"pageMetadata": {
"pageNumber": 0,
"pageSize": 0,
"totalElements": 0,
"totalPages": 0
}
}
}
Represents the query info.
Represents a page of elements of a single type
Bad Request
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
InternalServerError
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v1/domains/{domainId}/datastores/queries